<div class="container">
  <div class="row justify-content-center">
    <div class="col-lg-8">
      <h4 id="title">Update Trainee Profile</h4>
      <form [formGroup]="updateTraineeForm" (ngSubmit)="onSubmit()">
        <div class="row">
          <div class="col-lg-8 col-md-12">
            <div class="form-group mb-3">
              <label for="username" class="form-label">User Name</label>
              <input
                type="text"
                class="form-control"
                id="username"
                formControlName="username"
                readonly
              />
            </div>

            <div class="mb-3">
              <label for="firstName" class="form-label"
                >First Name <span class="text-danger">*</span></label
              >
              <input
                type="text"
                class="form-control"
                id="firstName"
                formControlName="firstName"
              />
            </div>

            <div class="mb-3">
              <label for="lastName" class="form-label"
                >Last Name <span class="text-danger">*</span></label
              >
              <input
                type="text"
                class="form-control"
                id="lastName"
                formControlName="lastName"
              />
            </div>

            <div class="form-group mb-3">
              <label for="email" class="form-label"
                >Email <span class="text-danger">*</span></label
              >
              <input
                type="email"
                class="form-control"
                id="email"
                formControlName="email"
              />
            </div>

            <div class="mb-3">
              <label for="dateOfBirth" class="form-label"
                >Date of Birth <span class="text-danger">*</span></label
              >
              <input
                type="date"
                class="form-control"
                id="dateOfBirth"
                formControlName="dateOfBirth"
              />
            </div>

            <div class="mb-3">
              <label for="address" class="form-label"
                >Address <span class="text-danger">*</span></label
              >
              <input
                class="form-control"
                id="address"
                formControlName="address"
              />
            </div>

            <div class="form-check mb-3">
              <input
                type="radio"
                class="form-check-input"
                id="isActive"
                formControlName="isActive"
                value="true"
              />
              <label class="form-check-label" for="isActive">Active</label>
            </div>

            <div class="form-check mb-3">
              <input
                type="radio"
                class="form-check-input"
                id="isNotActive"
                formControlName="isActive"
                value="false"
              />
              <label class="form-check-label" for="isNotActive"
                >Not Active</label
              >
            </div>
          </div>
          <div class="col-lg-4 col-md-12 trainers-list-container">
            <div class="mb-3" style="max-height: 400px; overflow-y: auto">
              <label class="form-label">Not Assigned Trainers:</label>
              <div *ngFor="let trainer of notAssignedTrainers; let i = index">
                <div class="form-check mx-1">
                  <input
                    type="checkbox"
                    class="form-check-input"
                    id="trainer{{ i }}"
                    (change)="toggleTrainer(i)"
                    [checked]="isTrainerSelected(i)"
                  />
                  <label
                    class="form-check-label"
                    style="font-weight: normal"
                    for="trainer{{ i }}"
                  >
                    {{ trainer.firstName }} {{ trainer.lastName }} -
                    {{ trainer.specialization }}
                  </label>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row container">
          <div class="col-md-12 px-0">
            <button
              type="submit"
              class="btn submit-button"
              [disabled]="updateTraineeForm.invalid"
            >
              Submit
            </button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
